// autofocus_http.h - Extracted focus feature integration for CameraWebServer
// Add this to your `app_httpd.cpp` and link it to your HTML or button

#ifndef AUTOFOCUS_HTTP_H
#define AUTOFOCUS_HTTP_H
#include "esp_http_server.h"
#include "esp_camera.h"
#include "ESP32_OV5640_AF.h"
extern OV5640 ov5640;

static esp_err_t focus_handler(httpd_req_t *req) {
    int result = ov5640.autoFocusMode();
 // or autoFocusMode();
    if (result == 0) {
        return httpd_resp_send(req, "Autofocus triggered.", HTTPD_RESP_USE_STRLEN);
    } else {
        return httpd_resp_send_500(req);
    }
}

static esp_err_t af_html_handler(httpd_req_t *req) {
    const char* html = 
        "<!DOCTYPE html><html><head><title>AF Trigger</title></head>"
        "<body style='font-family:sans-serif;text-align:center;padding-top:30px;'>"
        "<h2>Trigger Autofocus</h2>"
        "<button style='font-size:24px;padding:10px;' onclick='triggerAF()'>Autofocus</button>"
        "<script>"
        "function triggerAF() {"
        "fetch('/focus').then(r => r.text()).then(alert).catch(alert);"
        "}"
        "</script>"
        "</body></html>";
    httpd_resp_set_type(req, "text/html");
    return httpd_resp_send(req, html, HTTPD_RESP_USE_STRLEN);
}

#endif
